## ros-one-rviz-marker-tools 0.1.4-0jammy.20251023.0051

=== debian/changelog ===
ros-one-rviz-marker-tools (0.1.4-0jammy.20251023.0051) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 23 Oct 2025 00:51:11 +0000

ros-one-rviz-marker-tools (0.1.4-0jammy) jammy; urgency=high

  * Increase minimum required CMake version to 3.16 supported by Ubuntu 20.04
  * clang-tidy fixes: use uint8_t enums
  * Ignore Debian-specific catkin_lint error around urdfdom_headers (#614 <https://github.com/moveit/moveit_task_constructor/issues/614>)
  * clean up dependencies for rviz_marker_tools (#610 <https://github.com/moveit/moveit_task_constructor/issues/610>)
  * rviz_marker_tools: add missing dependency on urdfdom
  * rviz_marker_tools: drop rviz dependency
  * Contributors: Michael Görner, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Oct 2025 00:00:00 -0000

ros-one-rviz-marker-tools (0.1.3-0jammy) jammy; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 06 Mar 2023 00:00:00 -0000

ros-one-rviz-marker-tools (0.1.2-0jammy) jammy; urgency=high

  * Fix marker creation: allow zero scale for geometric shapes (#430 <https://github.com/ros-planning/moveit_task_constructor/issues/430>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 24 Feb 2023 00:00:00 -0000

ros-one-rviz-marker-tools (0.1.1-0jammy) jammy; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Feb 2023 00:00:00 -0000

ros-one-rviz-marker-tools (0.1.0-0jammy) jammy; urgency=high

  * Initial release
  * Contributors: Robert Haschke, Michael Görner

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 02 Feb 2023 00:00:00 -0000

## ros-one-rviz-marker-tools 0.1.4-0noble.20251023.0049

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(rviz_marker_tools)

find_package(catkin REQUIRED COMPONENTS
	geometry_msgs
	roscpp
	std_msgs
	tf2_eigen
	visualization_msgs
)
find_package(Eigen3 REQUIRED)

# lint ignore is needed to support ROS distributions which also define urdfdom_headers in rosdep (e.g., Debian ROS packages)
#catkin_lint: ignore missing_depend[pkg=urdfdom_headers]
find_package(urdfdom_headers REQUIRED)

catkin_package(
	LIBRARIES
		${PROJECT_NAME}
	INCLUDE_DIRS
		include
	CATKIN_DEPENDS
		geometry_msgs
		std_msgs
		visualization_msgs
	DEPENDS
		EIGEN3
)

set(PROJECT_INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/include/${PROJECT_NAME})

set(HEADERS
	${PROJECT_INCLUDE}/marker_creation.h
)

add_library(${PROJECT_NAME}
	${HEADERS}
	src/marker_creation.cpp
)

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
target_include_directories(${PROJECT_NAME} PUBLIC $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>)
target_include_directories(${PROJECT_NAME} SYSTEM PRIVATE
   ${catkin_INCLUDE_DIRS}
   ${urdfdom_headers_INCLUDE_DIRS}
   ${EIGEN3_INCLUDE_DIR}
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

install(TARGETS ${PROJECT_NAME}
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-one-rviz-marker-tools (0.1.4-0noble.20251023.0049) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 23 Oct 2025 00:49:35 +0000

ros-one-rviz-marker-tools (0.1.4-0noble) noble; urgency=high

  * Increase minimum required CMake version to 3.16 supported by Ubuntu 20.04
  * clang-tidy fixes: use uint8_t enums
  * Ignore Debian-specific catkin_lint error around urdfdom_headers (#614 <https://github.com/moveit/moveit_task_constructor/issues/614>)
  * clean up dependencies for rviz_marker_tools (#610 <https://github.com/moveit/moveit_task_constructor/issues/610>)
  * rviz_marker_tools: add missing dependency on urdfdom
  * rviz_marker_tools: drop rviz dependency
  * Contributors: Michael Görner, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Oct 2025 00:00:00 -0000

ros-one-rviz-marker-tools (0.1.3-0noble) noble; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 06 Mar 2023 00:00:00 -0000

ros-one-rviz-marker-tools (0.1.2-0noble) noble; urgency=high

  * Fix marker creation: allow zero scale for geometric shapes (#430 <https://github.com/ros-planning/moveit_task_constructor/issues/430>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 24 Feb 2023 00:00:00 -0000

ros-one-rviz-marker-tools (0.1.1-0noble) noble; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Feb 2023 00:00:00 -0000

ros-one-rviz-marker-tools (0.1.0-0noble) noble; urgency=high

  * Initial release
  * Contributors: Robert Haschke, Michael Görner

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 02 Feb 2023 00:00:00 -0000

=== debian/control ===
Source: ros-one-rviz-marker-tools
Section: misc
Priority: optional
Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, liburdfdom-headers-dev, ros-one-catkin, ros-one-geometry-msgs, ros-one-roscpp, ros-one-std-msgs, ros-one-tf2-eigen, ros-one-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-rviz-marker-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-one-geometry-msgs, ros-one-roscpp, ros-one-std-msgs, ros-one-tf2-eigen, ros-one-visualization-msgs
Description: Tools for marker creation / handling

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-rviz-marker-tools//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-rviz-marker-tools 0.1.4-3jammy.20251213.2039

=== debian/changelog ===
ros-one-rviz-marker-tools (0.1.4-3jammy.20251213.2039) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 13 Dec 2025 20:39:54 +0000

## ros-one-rviz-marker-tools 0.1.4-3noble.20251213.2039

=== debian/changelog ===
ros-one-rviz-marker-tools (0.1.4-3noble.20251213.2039) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 13 Dec 2025 20:39:53 +0000

## ros-one-rviz-marker-tools 0.1.4-4jammy.20251215.2047

=== debian/changelog ===
ros-one-rviz-marker-tools (0.1.4-4jammy.20251215.2047) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 15 Dec 2025 20:47:33 +0000

## ros-one-rviz-marker-tools 0.1.4-4jammy.20260220.2148

=== debian/changelog ===
ros-one-rviz-marker-tools (0.1.4-4jammy.20260220.2148) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 20 Feb 2026 21:48:35 +0000

## ros-one-rviz-marker-tools 0.1.4-4noble.20251215.2047

=== debian/changelog ===
ros-one-rviz-marker-tools (0.1.4-4noble.20251215.2047) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 15 Dec 2025 20:47:15 +0000

## ros-one-rviz-marker-tools 0.1.4-4noble.20260220.2156

=== debian/changelog ===
ros-one-rviz-marker-tools (0.1.4-4noble.20260220.2156) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 20 Feb 2026 21:56:03 +0000
